Bug 814730 - SELinux is preventing plugin-config from using the 'execstack' accesses on a process.
Summary: SELinux is preventing plugin-config from using the 'execstack' accesses on a ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:76f54544012b97cfc7da80cbb69...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-20 14:46 UTC by dario
Modified: 2012-04-25 05:00 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.10.0-118.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-25 05:00:02 UTC
Type: ---


Attachments (Terms of Use)

Description dario 2012-04-20 14:46:18 UTC
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.2-1.fc17.i686
time:           Fri 20 Apr 2012 10:15:51 AM VET

description:
:SELinux is preventing plugin-config from using the 'execstack' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plugin-config should be allowed execstack access on processes labeled mozilla_plugin_config_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plugin-config /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_config_t:
:                              s0-s0:c0.c1023
:Target Context                unconfined_u:unconfined_r:mozilla_plugin_config_t:
:                              s0-s0:c0.c1023
:Target Objects                 [ process ]
:Source                        plugin-config
:Source Path                   plugin-config
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-114.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.2-1.fc17.i686 #1 SMP Fri Apr
:                              13 21:06:40 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Fri 20 Apr 2012 10:14:20 AM VET
:Last Seen                     Fri 20 Apr 2012 10:14:20 AM VET
:Local ID                      200c0dcd-d652-440c-b0de-e3b934df4dd2
:
:Raw Audit Messages
:type=AVC msg=audit(1334933060.131:62): avc:  denied  { execstack } for  pid=1232 comm="plugin-config" scontext=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 tclass=process
:
:
:Hash: plugin-config,mozilla_plugin_config_t,mozilla_plugin_config_t,process,execstack
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:

Comment 1 Daniel Walsh 2012-04-20 15:21:55 UTC
Do you know what plugin you were configuring?  java?

Comment 2 Daniel Walsh 2012-04-20 15:25:18 UTC
Fixed in selinux-policy-3.10.0-117.fc17

Comment 3 Fedora Update System 2012-04-23 06:44:28 UTC
selinux-policy-3.10.0-117.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-117.fc17

Comment 4 Fedora Update System 2012-04-24 00:57:19 UTC
selinux-policy-3.10.0-118.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-118.fc17

Comment 5 Fedora Update System 2012-04-24 03:15:48 UTC
Package selinux-policy-3.10.0-118.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-118.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6452/selinux-policy-3.10.0-118.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-04-25 05:00:02 UTC
selinux-policy-3.10.0-118.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.